This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 864226

Summary: RFE: rename and generify 'svn_url' directive
Product: [Community] Publican Reporter: Douglas Silas <dhensley>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED DUPLICATE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.0CC: jhradile, jmorgan, r.landmann, rlandman
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-30 21:34:18 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Douglas Silas 2012-10-08 18:25:13 EDT
Description of problem: If it's not too late then, and "svn_url" isn't written in stone, then I suggest renaming that directive to something version control system-agnostic. This would reduce confusion when using git or another VCS for source files. Possible candidates:

vcs_url

OR

version_control_url

I'm not sure if it would be necessary or product to also have a directive called something like "vcs_type" or "version_control_type"; often the vcs type is embedded in the URL, but possibly not always.

Version-Release number of selected component (if applicable): publican 3.0 pre-release.
  
Actual results: "svn_url" is used


Expected results: "vcs_url" is used instead


Additional info: fairly minor renaming change. 'svn_url' is not documented in http://jfearn.fedorapeople.org/en-US/Publican/3.0/html-single/Users_Guide/
Comment 4 Jeff Fearn 2013-09-30 21:34:18 EDT

*** This bug has been marked as a duplicate of bug 719832 ***